package com.jaxfront.demo.api;

import java.awt.Component;

import javax.swing.JOptionPane;

import com.jaxfront.core.dom.Document;
import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.ui.TypeVisualizerFactory;

public class OwnActionSelectedItem extends Object implements Action {

	public void perform(Type source, Type target) {
		Document dom = target.getDOM();
		
	    JOptionPane.showMessageDialog((Component)TypeVisualizerFactory.getInstance().getVisualizer(target), 
	     "ListItemSelected EVENT occured!. \n \n DOM is: Document (" + dom.getRootType().getName() + 
	     ") \n Source is: " + source.getXPathLocation(),
	     "JAXFront Action Implementation Example",
	     JOptionPane.INFORMATION_MESSAGE );
	}
}
