package com.jaxfront.demo.api;

import java.awt.Component;
import javax.swing.JOptionPane;

import com.jaxfront.core.dom.Document;
import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.xui.XUITypes;

/************************************************************************************
 * Test Action Implementation.
 * 
 *
 ************************************************************************************/

/*-- 

 Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.
 
 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com
 
*/

public class OwnSwingTestAction extends javax.swing.AbstractAction {

	public OwnSwingTestAction() {
		super();
	}
	public OwnSwingTestAction(String name) {
	    super(name);
	}
	public void actionPerformed(java.awt.event.ActionEvent arg1) {
		
		Document dom = (Document)getValue(Action.ACTION_DOM);
		Type source = (Type)getValue(Action.ACTION_SOURCE);
		String commandName = (String)getValue(Action.ACTION_NAME);
		
	    JOptionPane.showMessageDialog((Component)arg1.getSource(), 
	     "Why not pop up a dialog. \n Do whatever you want in your Action Implementation. \n \n DOM is: Document (" + dom.getRootType().getName() + 
	     ") \n Source is: " + source.getXPathLocation() +
	     ") \n Command name is: " + commandName,
	     "JAXFront Action Implementation Example",
	     JOptionPane.INFORMATION_MESSAGE );
	}
}
