package com.jaxfront.demo.api;

import com.jaxfront.core.error.Error;
import com.jaxfront.core.error.UserError;
import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.Type;
/**
 * Demonstrates how to add your own user error to the error controller.
 */
/*-- 

Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.

This software is the confidential and proprietary information of xcentric technology & 
consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
Information and shall use it only in accordance with the terms of the license agreement
you entered into with xcentric.

www.jaxfront.com

*/
public class AddUserError implements Action {

	public void perform(Type source,Type target) {
		
		Error myError = new UserError("test-identifier", target, "message", Error.CLASSIFICATION_WARNING);
		target.getDOM().getController().getErrorController().addError(myError);
		
	}
}
