package com.jaxfront.demo.api;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.SimpleType;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.ui.TypeVisualizerFactory;
import com.jaxfront.core.ui.Visualizer;

public class OwnSetEnumerationAction implements Action {
	public void perform(Type source, Type target) {
		Visualizer visualizer = TypeVisualizerFactory.getInstance().getVisualizer(target);
		if (visualizer != null) {
			String[] myEnumeration = null;
			if (source != null && source.isSimple() && ((Boolean) ((SimpleType) source).getMathValueTyped())) {
				myEnumeration = new String[] { "A", "B", "C" };
			} else {
				myEnumeration = new String[] { "D", "E", "F" };
			}
			target.getStyle().setEnumeration(myEnumeration);
			visualizer.populateView();
		}
	}
}