package com.jaxfront.demo.api;

import com.jaxfront.core.rule.Action;
import com.jaxfront.swing.ui.editor.AbstractPopUpMenu;
import com.jaxfront.swing.ui.editor.NavigationTree;
/************************************************************************************
 * Shows how to implement its own tree popUp menu.
 ************************************************************************************/
/*-- 

 Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.
 
 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com
 com.jaxfront.demo.api.OwnTreePopUpMenu
*/
public class OwnTreePopUpMenu extends AbstractPopUpMenu {
	public OwnTreePopUpMenu(NavigationTree tree, com.jaxfront.core.ui.TreeNode treeNode) {
		super(tree, treeNode);
		
		initialize();
	}
	private void initialize() {
		OwnSwingTestAction testAction = new OwnSwingTestAction("test");
		testAction.putValue(Action.ACTION_DOM, getTreeNode().getType().getDOM());
	    testAction.putValue(Action.ACTION_SOURCE, getTreeNode().getType());
	    _isEmpty=false;
		add(testAction);
	
	}
}
