package com.jaxfront.demo.ui.beans;

import java.beans.PropertyChangeEvent;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.type.TypeController;
import com.jaxfront.core.ui.TypeVisualizerFactory;
import com.jaxfront.swing.ui.visualizers.AbstractSimpleTypeView;
/*-- 

Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.

This software is the confidential and proprietary information of xcentric technology & 
consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
Information and shall use it only in accordance with the terms of the license agreement
you entered into with xcentric.

www.jaxfront.com

*/
public class MarkAsNotSerializableAction implements Action {
    
	public void perform(Type source,Type target) {
		Type keyRef = (Type)target.getDirectChildren().get(0);
		AbstractSimpleTypeView component = (AbstractSimpleTypeView)TypeVisualizerFactory.getInstance().getVisualizer(keyRef);
		
        
		target.setSerializable(false);
		component.setEnabled(false);
	}


}
