package com.jaxfront.html;

import javax.servlet.http.HttpServletRequest;

import com.jaxfront.core.type.Type;
import com.jaxfront.core.util.XPathEncoder;
import com.jaxfront.html.plugins.AbstractPopUpAction;

/*-- 

 Copyright (C) 2001-2007 by xcentric technology & consulting GmbH. All rights reserved.

 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com

 */
/**
 * Shows how to implement a popUp action for the simplePopupView
 * 
 * @version 2.3
 */
public class TestPopUpAction extends AbstractPopUpAction {
	public StringBuffer getHTMLContent(Type holder, String typeAheadValue, HttpServletRequest request) {
		String xpath = XPathEncoder.encode(holder);
		StringBuffer sb = new StringBuffer();
		sb.append("<h1>TestPopUpAction </h1>");
		sb.append("<p>");
		sb.append("See class 'com.jaxfront.html.TestPopUpAction'");
		sb.append("<form>");
		sb.append("<p>");
		sb.append("<select name=\"" + xpath + "\" id=\"" + xpath + "\" size=\"10\" onchange=\"setOpenerResult('" + xpath + "',this.options[this.options.selectedIndex].text);\">");
		sb.append("<option>Entry (1)</option>");
		sb.append("<option>Entry (2)</option>");
		sb.append("<option>Entry (3)</option>");
		sb.append("<option>Entry (4)</option>");
		sb.append("<option>Entry (5)</option>");
		sb.append("</select>");
		sb.append("</p>");
		return sb;
	}

	public void performOK(Type model, String value) {
		System.out.println("perform ok...");
	}
}
