package com.jaxfront.demo.api;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.SimpleType;
import com.jaxfront.core.type.Type;

/**
 * Demonstrates how to implement your own action. This action will mark the target type visualizer with a green border.
 */
/*-- 

 Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.

 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com

 com.jaxfront.demo.api.Exercise6MainAction
 */
public class Exercise6MainAction extends Object implements Action {
	public void perform(Type source, Type target) {
		if (target.isSimple()) {
			((SimpleType) target).setValue(this.getClass().getSimpleName());
		}
	}
}