package com.jaxfront.demo.api;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.SimpleType;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.ui.TypeVisualizerFactory;
import com.jaxfront.core.ui.Visualizer;

public class OwnCodeSetEnumerationAction implements Action {
	public void perform(Type source, Type target) {
		Visualizer visualizer = TypeVisualizerFactory.getInstance().getVisualizer(target);
		if (visualizer != null) {
			String[][] myEnumeration = null;
			if (source != null && source.isSimple() && ((Boolean) ((SimpleType) source).getMathValueTyped())) {
				myEnumeration = new String[3][2];
				myEnumeration[0][0] = "Code-A";
				myEnumeration[0][1] = "Value-A";
				myEnumeration[1][0] = "Code-B";
				myEnumeration[1][1] = "Value-B";
				myEnumeration[2][0] = "Code-C";
				myEnumeration[2][1] = "Value-C";
			} else {
				myEnumeration = new String[3][2];
				myEnumeration[0][0] = "Code-D";
				myEnumeration[0][1] = "Value-D";
				myEnumeration[1][0] = "Code-E";
				myEnumeration[1][1] = "Value-E";
				myEnumeration[2][0] = "Code-F";
				myEnumeration[2][1] = "Value-F";
			}
			target.getStyle().setEnumeration(myEnumeration);
			visualizer.populateView();
		}
	}
}