package com.jaxfront.demo.api;

import java.awt.Component;

import javax.swing.JOptionPane;

import com.jaxfront.core.dom.Document;
import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.ui.TypeVisualizerFactory;

/************************************************************************************
 * Test JAXFront Action Implementation.
 *
 ************************************************************************************/

/*-- 

 Copyright (C) 2001-2006 by xcentric technology & consulting GmbH. All rights reserved.
 
 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com
 
*/

public class OwnJAXFrontTestAction extends Object implements Action {

	public void perform(Type aSource,Type target) {
		Document dom = target.getDOM();
		Type source = target;
		String commandName = (String)target.getClientProperty(Action.ACTION_NAME);
		
	    JOptionPane.showMessageDialog((Component)TypeVisualizerFactory.getInstance().getVisualizer(target), 
	     "Why not pop up a dialog. \n Do whatever you want in your Action Implementation. \n \n DOM is: Document (" + dom.getRootType().getName() + 
	     ") \n Source is: " + source.getXPathLocation() +
	     ") \n Command name is: " + commandName,
	     "JAXFront Action Implementation Example",
	     JOptionPane.INFORMATION_MESSAGE );
	}


}
