package com.jaxfront.demo.api;

import java.awt.Frame;

import javax.swing.JDialog;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.xui.XUITypes;
import com.jaxfront.swing.ui.tools.GUITools;

public class OwnModalSWTDialog extends Object implements Action {

	public void perform(Type eventSource, Type target) {
		JDialog dialog = new JDialog((Frame) eventSource.getDOM().getEditor().getWindow(), "Modal Dialog");
		dialog.setModal(true);

		GUITools.applySWTSwingModalDialog(dialog);
		dialog.setSize(300, 300);
		dialog.setLocation(100, 100);
		dialog.setVisible(true);

	}

}
