package com.jaxfront.demo.api;

import java.awt.Component;
import java.awt.FileDialog;
import java.awt.Frame;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ItemEvent;

import javax.swing.AbstractAction;
import javax.swing.DefaultListSelectionModel;
import javax.swing.SwingUtilities;
import javax.swing.event.ListSelectionEvent;

import org.w3c.dom.Element;

import com.jaxfront.core.type.ListType;
import com.jaxfront.swing.ui.visualizers.ListViewAction;

public class SampleListAction extends AbstractAction implements ListViewAction {
	private ListType _baseList;

	public SampleListAction() {
		super("sample");
	}

	/*
	 * (non-Javadoc)
	 * @see com.jaxfront.xuieditor.ListViewAction#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent event) {
		try {
			Window root = SwingUtilities.getWindowAncestor((Component) event.getSource());
			// SwingUtilities.getRoot(_centerPanel)
			FileDialog fdialog = new FileDialog(new Frame());
			fdialog.setSize(600, 400);
			fdialog.setVisible(true);
			Element w3cElement = null;
			_baseList.bind(w3cElement);
		} catch (Exception e) {}
	}

	/*
	 * (non-Javadoc)
	 * @see com.jaxfront.xuieditor.ListViewAction#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(int eventType, ActionEvent event) {}

	/*
	 * (non-Javadoc)
	 * @see com.jaxfront.xuieditor.ListViewAction#valueChanged(javax.swing.event.ListSelectionEvent)
	 */
	public void valueChanged(ListSelectionEvent e) {
		if (!e.getValueIsAdjusting()) {
			DefaultListSelectionModel m = (DefaultListSelectionModel) e.getSource();
			System.out.println("valChanged first:" + m.getLeadSelectionIndex());
			System.out.println("valChanged last:" + m.getMaxSelectionIndex());
			setEnabled(m.getLeadSelectionIndex() != 6);
		}
	}

	/*
	 * (non-Javadoc)
	 * @see com.jaxfront.xuieditor.ListViewAction#itemStateChanged(java.awt.event.ItemEvent)
	 */
	public void itemStateChanged(ItemEvent e) {
		System.out.println("itemStateChanged");
	}

	public void setListType(ListType list) {
		_baseList = list;
	}
}
