package com.jaxfront.demo.ui.beans;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.ListType;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.ui.TypeVisualizerFactory;

/************************************************************************************
 * Test Action Implementation.
 * 
 *
 ************************************************************************************/

/*-- 

 Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.
 
 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com
 
*/

public class AddListItemAction  implements Action {
    public void perform(Type source, Type target ) {
        if (target instanceof Type) {
            //hier wird angenommen das wir uns auf der ebene history befinden!
            target=target.getDirectChild("Changed");
            if (target!=null && target.isList()) {
                Type child = ((ListType)target).addNewChild();
                TypeVisualizerFactory.getInstance().getVisualizer(child);

            }
        }
    }
}
