package com.jaxfront.demo.ui.beans;

import com.jaxfront.core.rule.Action;
import com.jaxfront.core.type.SimpleType;
import com.jaxfront.core.type.Type;
import com.jaxfront.core.ui.TypeVisualizerFactory;
import com.jaxfront.swing.ui.visualizers.AbstractSimpleTypeView;
/*-- 

Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.

This software is the confidential and proprietary information of xcentric technology & 
consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
Information and shall use it only in accordance with the terms of the license agreement
you entered into with xcentric.

www.jaxfront.com

*/
public class AddRefByAPIAction implements Action {
    
	public void perform(Type source,Type target) {
		Type holder = null;
		SimpleType keyRef = null;
		AbstractSimpleTypeView component = null;
		
		//add ref context-1
		holder = target.getParent().getDirectChild("context-1");
		keyRef = (SimpleType)holder.getDirectChild("keyRef");
		keyRef.setValue("Chris");
		holder.setSerializable(holder.isSerializable());
		component = (AbstractSimpleTypeView)TypeVisualizerFactory.getInstance().getVisualizer(keyRef);
		component.populateView();
		
		//add ref context-2
		holder = target.getParent().getDirectChild("context-2");
		keyRef = (SimpleType)holder.getDirectChild("keyRef");
		keyRef.setValue("Chris");
		holder.setSerializable(holder.isSerializable());
		component = (AbstractSimpleTypeView)TypeVisualizerFactory.getInstance().getVisualizer(keyRef);
		component.populateView();
	
		//date hack
		target.getDOM().getRootType().getDirectChild("schema-structures").getDirectChild("primitiveTypes").setDirectChildValue("date", "2008-12-11");
		
		
	}


}
