package com.jaxfront.demo.ui.beans;

import com.jaxfront.core.util.*;
import com.jaxfront.core.util.URLHelper;
import com.jaxfront.core.util.io.BrowserControl;
/************************************************************************************
 * Opens a web browser for a given URL string.
 *
 ************************************************************************************/

/*-- 

 Copyright (C) 2001-2003 by xcentric technology & consulting GmbH. All rights reserved.
 
 This software is the confidential and proprietary information of xcentric technology & 
 consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
 Information and shall use it only in accordance with the terms of the license agreement
 you entered into with xcentric.

 www.jaxfront.com
 
*/
public class OpenBrowserAction extends javax.swing.AbstractAction {

    private String _url;
    
    public OpenBrowserAction() {
    	super();
    	_url ="examples/demo-suite/jaxfront-test-schema.xsd";
    }
    public void actionPerformed(java.awt.event.ActionEvent arg1) {
        String url = URLHelper.getUserURL(_url).toString();
        url = TextTools.replace(url,"%20", " ");
        url = TextTools.replace(url,"file:/", "file://");
        BrowserControl.displayURL(url);
    }
}

