package com.jaxfront.demo.ui.beans;

import java.awt.BorderLayout;
import java.awt.event.ItemEvent;
import java.beans.PropertyChangeEvent;

import javax.swing.JComponent;

import com.jaxfront.core.ui.TypeVisualizerFactory;
import com.jaxfront.core.ui.Visualizer;
import com.jaxfront.core.util.JAXFrontProperties;
import com.jaxfront.swing.ui.beans.AbstractComplexVisualizer;

public class OwnUserPropertyWrapper extends AbstractComplexVisualizer {

	Visualizer _wrappedVisualizer;
	
	public void postInitialization() {
		_wrappedVisualizer.postInitialization();

	}

	public void markError() {
		_wrappedVisualizer.markError();

	}

	public void populateModel() {
		_wrappedVisualizer.populateModel();

	}

	public void populateView() {
		_wrappedVisualizer.populateView();

	}

	public void propertyChange(PropertyChangeEvent evt) {
	}

	public void release() {
		_wrappedVisualizer.release();
	}

	public void resetError() {
		_wrappedVisualizer.resetError();
	}

	public void setRequired(boolean aBoolean) {
		_wrappedVisualizer.setRequired(aBoolean);
	}

	public void setApplicationRequired(boolean aBoolean) {
		_wrappedVisualizer.setApplicationRequired(aBoolean); 
	}

	public void setVisible(boolean visible) {
		_wrappedVisualizer.setVisible(visible);
	}

	public void itemStateChanged(ItemEvent e) {
	}

	public void setEnabled(boolean enabled) {
		_wrappedVisualizer.setEnabled(enabled);
	}

	public void setChoosenKeyContextValue(String xpathRelativeToChoosenKeyContext, String newValue) {
	}

	public void setEditable(boolean editable) {
		_wrappedVisualizer.setEditable(editable);
	}

	public void jumpTo() {
	}

	protected void defaultBuild() {
		_wrappedVisualizer = TypeVisualizerFactory.getInstance().getVisualizer(getModel(), null, true, false);
		
		setLayout(new BorderLayout());
		add((JComponent)_wrappedVisualizer, BorderLayout.CENTER);
		
		//Set User Properties
		//Global properties need to be set before the DOM has been built.
		// ********** global *********
		JAXFrontProperties.getInstance().setUserProperty("myGlobalProperty", "myGlobalValue");
		
		// ********** local **********
		getDOM().putApplicationProperty("myProperty", "myValue");
	}

}
