package com.jaxfront.html;

import javax.servlet.http.HttpSession;

import com.jaxfront.core.rule.ParameterizedAction;
import com.jaxfront.core.type.SimpleType;
import com.jaxfront.core.type.Type;
import com.jaxfront.html.servlet.JAXFrontSession;
import com.jaxfront.html.servlet.tools.AJAXHTMLResponse;

public class TestAction implements ParameterizedAction {
	public void perform(Type eventSource, Type target) {
		if (target != null) {
			if (target.isSimple()) {
				((SimpleType) target).setValue("New value set by own action implementation. See class: com.jaxfront.html.TestAction.");
				target.setEnabled(true);
			}
		}
	}

	public void perform(Type eventSource, Type target, String name, Object[] params) {
		System.out.println("TestAction invoked");
		HttpSession session = JAXFrontSession.findSession(eventSource.getDOM().getDocumentID());
		AJAXHTMLResponse.callBrowserScript(eventSource, "alert(' Own action (" + name + ") fired. Session id is: " + session.getId() + "')");
	}
}
