package com.jaxfront.html;

import com.jaxfront.core.rule.Condition;
import com.jaxfront.core.rule.FormulaException;
import com.jaxfront.core.type.SimpleType;
import com.jaxfront.core.type.Type;

public class TestCondition implements Condition {
	private Type _source;

	public boolean doesConcern(Type checkType) {
		return checkType == _source;
	}

	public boolean isTrue(Type source) throws FormulaException {
		String value = null;
		if (source.isSimple()) {
			value = ((SimpleType) source).getValue();
		}
		return "test".equals(value);
	}

	public void setSourceType(Type sourceType) {
		_source = sourceType;
	}
}
