package com.jaxfront.html;

import javax.servlet.http.HttpServletRequest;

import com.jaxfront.core.type.Type;
import com.jaxfront.core.util.TextTools;
import com.jaxfront.core.util.XPathEncoder;
import com.jaxfront.html.plugins.AbstractPopUpAction;
/*-- 

Copyright (C) 2001-2007 by xcentric technology & consulting GmbH. All rights reserved.

This software is the confidential and proprietary information of xcentric technology & 
consulting GmbH ("Confidential Information"). You shall not disclose such Confidential 
Information and shall use it only in accordance with the terms of the license agreement
you entered into with xcentric.

www.jaxfront.com

*/
/**
 * Shows how to implement a popUp action for multiple results for the simplePopupView.
 * 
 * @version 2.3
 */
public class TestPopUpActionWithMultipleResult extends AbstractPopUpAction {

	public  StringBuffer getHTMLContent(Type holder, String typeAheadValue, HttpServletRequest request) {
		String xpath = XPathEncoder.encode(holder);
		StringBuffer sb = new StringBuffer();
		sb.append("<h1>Test action for multiple results</h1>");
		sb.append("<p>");
		sb.append("See class 'com.jaxfront.html.TestPopUpActionWithMultipleResult'");

		sb.append("<form>");
	    sb.append("<p>");
	    sb.append("<select name=\"" + xpath + "\" id=\"" + xpath + "\" size=\"10\" onchange=\"setOpenerResult('" + xpath + "',this.options[this.options.selectedIndex].text);\">" );
	    sb.append("<option>Heino</option>");
	    sb.append("<option>Michael Jackson</option>");
	    sb.append("<option>Tom Waits</option>");
	    sb.append("<option>Nina Hagen</option>");
	    sb.append("<option>Marianne Rosenberg</option>");
	    sb.append("</select>");
	    sb.append("</p>");
	    sb.append("Select Value for Field 'A':<br>");
	    
	    Type typeA = holder.getParent().getDirectChild("A");
	    
	    sb.append("<select name=\"Email\" size=\"3\" onchange=\"setOpenerResults('" + XPathEncoder.encode(typeA) + "',this.options[this.options.selectedIndex].text)\">");
	    sb.append("<option>stephan.portmann@jaxfront.com</option>");
	    sb.append("<option>you@domain.com</option>");
	    sb.append("<option>mike.leber@jaxfront.com</option>");
	    sb.append("</select>");
	    sb.append("<br>");
	    sb.append("Select Value for Field 'B':<br>");
	    
	    Type typeB = holder.getParent().getDirectChild("B");
	    
	    sb.append("<select name=\"country\" size=\"3\" onchange=\"setOpenerResults('" + XPathEncoder.encode(typeB) + "',this.options[this.options.selectedIndex].text)\">");
	    sb.append("<option>Switzerland</option>");
	    sb.append("<option>United States</option>");
	    sb.append("<option>Germany</option>");
	    sb.append("</select>");
	    
		return sb;
	}	


}
